### Hierarchy

- AbstractMap
  - GoogleMap

## Index

### Constructors

- constructor

### Properties

- API
- defaultMarkerIcon
- defaultSelectedMarkerIcon
- defaultZoom
- markerIcon
- markers
- maxZoom
- minZoom
- selectedMarkerIcon
- spec

### Methods

- activateMarker
- addMarkersToForm
- deactivateMarker
- getCenter
- getMarkerIconSrc
- getSelectedMarkerIconSrc
- getZoom
- includeScripts
- init
- initMap
- initMarkerIcons
- initMarkers
- render
- resetAllMarkers
- setLabel
- setMarkersToValue
- wrapper
- getMarkersFromSrc

## Constructors

### constructor

- new GoogleMap(spec: ISpecification): GoogleMap

- Overrides AbstractMap.constructor

  - Defined in lib/renderable/map/google/index.ts:21

  #### Parameters

  - ##### spec: ISpecification

  #### Returns GoogleMap

## Properties

### Private API

API: string = "https://maps.googleapis.com/maps/api/js?sensor=false&key=" + Properties.resolve("GOOGLE_MAPS_API_KEY")

- Defined in lib/renderable/map/google/index.ts:13

### defaultMarkerIcon

defaultMarkerIcon: string = "http://maps.google.com/mapfiles/ms/icons/red-dot.png"

Inherited from AbstractMap.defaultMarkerIcon

- Defined in lib/renderable/map/AbstractMap.ts:16

### defaultSelectedMarkerIcon

defaultSelectedMarkerIcon: string = "http://maps.google.com/mapfiles/ms/icons/blue-dot.png"

Inherited from AbstractMap.defaultSelectedMarkerIcon

- Defined in lib/renderable/map/AbstractMap.ts:17

### defaultZoom

defaultZoom: number = 8

Overrides AbstractMap.defaultZoom

- Defined in lib/renderable/map/google/index.ts:21

### Private markerIcon

markerIcon: MarkerIcon | null = null

- Defined in lib/renderable/map/google/index.ts:16

### Private markers

markers: Array<Marker> = []

- Defined in lib/renderable/map/google/index.ts:15

### maxZoom

maxZoom: number = 19

Overrides AbstractMap.maxZoom

- Defined in lib/renderable/map/google/index.ts:20

### minZoom

minZoom: number = 0

Overrides AbstractMap.minZoom

- Defined in lib/renderable/map/google/index.ts:19

### Private selectedMarkerIcon

selectedMarkerIcon: MarkerIcon | null = null

- Defined in lib/renderable/map/google/index.ts:17

### spec

spec: ISpecification

Inherited from AbstractMap.spec

- Defined in lib/renderable/map/AbstractMap.ts:10

## Methods

### activateMarker

- activateMarker(marker: Marker): void

- - Defined in lib/renderable/map/google/index.ts:88

  #### Parameters

  - ##### marker: Marker

  #### Returns void

### addMarkersToForm

- addMarkersToForm(wrapper: INode, selectedMarkers: Array<any>): void

- Inherited from AbstractMap.addMarkersToForm

  - Defined in lib/renderable/map/AbstractMap.ts:88

  #### Parameters

  - ##### wrapper: INode

  - ##### selectedMarkers: Array<any>

  #### Returns void

### deactivateMarker

- deactivateMarker(marker: Marker): void

- - Defined in lib/renderable/map/google/index.ts:83

  #### Parameters

  - ##### marker: Marker

  #### Returns void

### getCenter

- getCenter(): WayPoint

- Inherited from AbstractMap.getCenter

  - Defined in lib/renderable/map/AbstractMap.ts:41

  #### Returns WayPoint

### getMarkerIconSrc

- getMarkerIconSrc(): string

- Inherited from AbstractMap.getMarkerIconSrc

  - Defined in lib/renderable/map/AbstractMap.ts:31

  #### Returns string

### getSelectedMarkerIconSrc

- getSelectedMarkerIconSrc(): string

- Inherited from AbstractMap.getSelectedMarkerIconSrc

  - Defined in lib/renderable/map/AbstractMap.ts:32

  #### Returns string

### getZoom

- getZoom(): number

- Inherited from AbstractMap.getZoom

  - Defined in lib/renderable/map/AbstractMap.ts:34

  #### Returns number

### includeScripts

- includeScripts(scripts: Array<string>): Promise<unknown>

- Inherited from AbstractMap.includeScripts

  - Defined in lib/renderable/map/AbstractMap.ts:97

  #### Parameters

  - ##### scripts: Array<string>

  #### Returns Promise<unknown>

### init

- init(wrapper: INode): HTMLElement

- Overrides AbstractMap.init

  - Defined in lib/renderable/map/google/index.ts:27

  #### Parameters

  - ##### wrapper: INode

  #### Returns HTMLElement

### initMap

- initMap(wrapper: INode): Map

- - Defined in lib/renderable/map/google/index.ts:73

  #### Parameters

  - ##### wrapper: INode

  #### Returns Map

### initMarkerIcons

- initMarkerIcons(): void

- - Defined in lib/renderable/map/google/index.ts:93

  #### Returns void

### initMarkers

- initMarkers(map: Map, wrapper: INode): void

- - Defined in lib/renderable/map/google/index.ts:36

  #### Parameters

  - ##### map: Map

  - ##### wrapper: INode

  #### Returns void

### render

- render(className: string): HTMLElement

- Inherited from AbstractMap.render

  - Defined in lib/renderable/map/AbstractMap.ts:29

  #### Parameters

  - ##### className: string

  #### Returns HTMLElement

### resetAllMarkers

- resetAllMarkers(): void

- Overrides AbstractMap.resetAllMarkers

  - Defined in lib/renderable/map/google/index.ts:105

  #### Returns void

### setLabel

- setLabel(text: string, wrapper: INode): void

- Inherited from AbstractMap.setLabel

  - Defined in lib/renderable/map/AbstractMap.ts:58

  #### Parameters

  - ##### text: string

  - ##### wrapper: INode

  #### Returns void

### setMarkersToValue

- setMarkersToValue(wrapper: INode): void

- Overrides AbstractMap.setMarkersToValue

  - Defined in lib/renderable/map/google/index.ts:107

  #### Parameters

  - ##### wrapper: INode

  #### Returns void

### wrapper

- wrapper(className: string): INode

- Inherited from AbstractMap.wrapper

  - Defined in lib/renderable/map/AbstractMap.ts:66

  #### Parameters

  - ##### className: string

  #### Returns INode

### Static getMarkersFromSrc

- getMarkersFromSrc(src: string): Promise<any>

- Inherited from AbstractMap.getMarkersFromSrc

  - Defined in lib/renderable/map/AbstractMap.ts:64

  #### Parameters

  - ##### src: string

  #### Returns Promise<any>

Generated using TypeDoc